=== debian/changelog ===
paryfor (0.1-9) unstable; urgency=medium

  * Team Upload.
  * Add patch to bump minimum cmake version (Closes: #1113391)
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop myself from uploaders

 -- Nilesh Patra <nilesh@debian.org>  Fri, 26 Sep 2025 17:42:08 +0530

paryfor (0.1-8) unstable; urgency=medium

  * Team upload.
  * Add support for loongarch64
    Closes: #1069824
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 25 Apr 2024 14:44:50 +0200

paryfor (0.1-7) unstable; urgency=medium

  * Team upload.
  * Fix clean target
    Closes: #1045303

 -- Andreas Tille <tille@debian.org>  Mon, 05 Feb 2024 15:07:39 +0100

paryfor (0.1-6) unstable; urgency=medium

  * Team upload.
  * Add support for riscv64
    Closes: #1060844
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 16 Jan 2024 17:23:58 +0100

paryfor (0.1-5) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 27 Nov 2022 21:38:43 +0100

paryfor (0.1-4) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 07 Oct 2021 09:55:02 +0200

paryfor (0.1-3) unstable; urgency=medium

  * Remove -mcx16 flag (Closes: #969317)

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 03 Sep 2020 17:01:44 +0530

paryfor (0.1-2) unstable; urgency=medium

  * Team upload.
  * Architecture: any

 -- Andreas Tille <tille@debian.org>  Tue, 14 Jul 2020 23:22:23 +0200

paryfor (0.1-1) unstable; urgency=medium

  * Initial release (Closes: #963078)

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 18 Jun 2020 20:13:56 +0530
