=== debian/control ===
Source: paryfor
Section: libdevel
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 13), cmake
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/paryfor
Vcs-Git: https://salsa.debian.org/med-team/paryfor.git
Homepage: https://github.com/ekg/paryfor
Rules-Requires-Root: no

Package: libparyfor-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Parallel_for implementation based on atomic queues
 The parallel_for templates replace #pragma omp parallel for.
 This uses a callback that takes the iteration number.
