=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem cmake
