=== debian/tests/control ===
Tests: run-unit-test
Depends: @, cmake, build-essential
Restrictions: allow-stderr
